centos6一键安装Redmine

安装准备

1,Linux系统:CentOS release 6.8 (Final) 64位 2.6.32-642.el6.x86_64

2,Redmine安装包:

wget https://downloads.bitnami.com/files/stacks/redmine/3.4.3-2/bitnami-redmine-3.4.3-2-linux-x64-installer.run

wget https://bitnami.com/redirect/to/354032/bitnami-redmine-3.4.6-4-linux-x64-installer.run

官网:https://bitnami.com/stack/redmine/installer

给.run文件加执行属性 chmod +x

这里执行 ./bitnami-redmine-3.4.3-2-linux-x64-installer.run 安装

根据需要安装组件,然后设置账号密码,成功后会有访问地址给你。

流程如下:

********************************************************************
[root@localhost src]# ./bitnami-redmine-3.4.3-2-linux-x64-installer.run
Language Selection

Please select the installation language
[1] English – English
[2] Spanish – Español
[3] Japanese – 日本語
[4] Korean – 한국어
[5] Simplified Chinese – 简体中文
[6] Hebrew – עברית
[7] German – Deutsch
[8] Romanian – Română
[9] Russian – Русский
Please choose an option [1] : 5
—————————————————————————-
欢迎来到 Bitnami Redmine Stack 安装程序。

—————————————————————————-
选择您想要安装的组件,清除您不想安装的组件。当您准备继续时,点击前进。

Subversion [Y/n] :n

PhpMyAdmin [Y/n] :y

Redmine : Y (Cannot be edited)

Git [Y/n] :y

上述选择是否正确? [Y/n]: y

—————————————————————————-
安装文件夹

请选择安装Bitnami Redmine Stack的文件夹

选择一个文件夹 [/opt/redmine-3.4.3-2]: /data/redmine-3.4.3-2

—————————————————————————-
创建管理员帐户

Bitnami Redmine Stack admin 用户创建

您的真实姓名 [User Name]: ken

Email地址 [user@example.com]: admin@netpc.com.cn

登录 [user]: admin

密码 :
请确认密码 :
—————————————————————————-
Web服务器端口

Choose a port that is not currently in use, such as port 81.

Apache Web 服务端口 [81]:

—————————————————————————-
MySQL信息

请输入MySQL数据库信息

Choose a port that is not currently in use, such as port 3307.

MySQL服务端口 [3307]:

—————————————————————————-
缺省数据配置语言

选择缺省数据配置语言:

[1] Bosnian
[2] 保加利亚语
[3] Catalan
[4] 捷克语
[5] Danish
[6] 德语
[7] 英语
[8] 西班牙
[9] 法语
[10] Galician
[11] 希伯来语
[12] Hungarian
[13] 意大利语
[14] 日语
[15] 朝鲜语
[16] Lithuanian
[17] 荷兰语
[18] Norwegian
[19] 波兰语
[20] 葡萄牙语
[21] 罗马尼亚语
[22] 俄语
[23] Slovak
[24] Slovenian
[25] 塞尔维亚语
[26] 瑞典语
[27] Turkish
[28] Ukrainian
[29] Vietnamese
[30] 中文
请选择选项 [30] :

Do you want to configure mail support? [y/N]: n

—————————————————————————-
安装程序已经准备好将 Bitnami Redmine Stack 安装到您的电脑。

您确定要继续吗? [Y/n]: y

—————————————————————————-
正在安装 Bitnami Redmine Stack 至您的电脑中,请稍候。

正在安装
0% ______________ 50% ______________ 100%
#########################################

—————————————————————————-
安装程序已经将 Bitnami Redmine Stack 安装于您的电脑中。

启动Redmine应用程序。 [Y/n]: y

信息: To access the Bitnami Redmine Stack, go to
http://127.0.0.1:81 from your browser.

********************************************************************

安装中出现的错误

一、glibc2.18 not fund:这是glibc也就是C库版本不到2.18,需要升级:

1.下载:http://ftp.gnu.org/gnu/glibc/glibc-2.18.tar.gz

选择报错中需要的版本:glibc-2.18.tar.gz
选择过最新版本,安装时候进行configure时候报错,所以就没有最新版本
2.解压:tar -xf glibc-2.18.tar.gz
3.编译安装:
[root@localhost soft]# cd glibc-2.18
[root@localhost glibc-2.18]# mkdir build; cd build
[root@localhost build]# ../configure –prefix=/usr –disable-profile –enable-add-ons –with-headers=/usr/include –with-binutils=/usr/bin
[root@localhost build]# make -j 8
[root@localhost build]# make install

3)检查:
[root@localhost soft]# strings /lib64/libc.so.6 | grep GLIBC

二、Glibcxx3.4.18 not fund:这是glibcxx也就是C++库版本不到3.4.18,需要升级:

1,下载:
ftp://ftp.de.debian.org/debian/pool/main/g/gcc-8/libstdc++6_8.2.0-9_amd64.deb
选择报错中需要的版本:libstdc++6_8.2.0-9_amd64.deb 这是目前最新的版本

如果版本404就上ftp://ftp.de.debian.org/debian/pool/main/g/gcc-8/去找

2,运行以下命令安装:
1)解压:
ar -x libstdc++6_8.1.0-10_amd64.deb
xz -d data.tar.xz
tar -xvf data.tar

2)安装:
删除:rm /usr/lib64/libstdc++.so.6
拷贝:cp usr/lib/x86_64-linux-gnu/libstdc++.so.6.0.25   /usr/lib64/
链接:ln  /usr/lib64/libstdc++.so.6.0.25  /usr/lib64/libstdc++.so.6

3)检查:

[root@localhost soft]# strings /usr/lib64/libstdc++.so.6 |grep GLIBCXX

以上如果lib/libstdc++.so.6有这个文件,而你没有更新版本,需要删除掉,不然安装的时候首先会去调用lib下的文件依旧导致出错。

此条目发表在服务器分类目录,贴了标签。将固定链接加入收藏夹。

发表评论